import { OpaqueToken } from '@angular/core';
export declare abstract class ErrorMessages {
    fieldName: string;
    constructor(fieldName: string);
}
export declare let DEFAULT_ERRORS: OpaqueToken;
export interface DefaultValidators {
    required?: any;
    numeric?: any;
    email?: any;
    pattern?: any;
    min?(err: {
        actual: string;
        min: number;
    }, value?: any): string;
    max?(err: {
        actual: string;
        max: number;
    }, value?: any): string;
    minlength?(err: {
        actualLength: number;
        requiredLength: number;
    }, value?: any): string;
    maxlength?(err: {
        actualLength: number;
        requiredLength: number;
    }, value?: any): string;
}
/** * Class of defaulted error messages to use with the MatErrorMessages directive.
 * fieldName will be passed in or defaulted.
 *
 * When a member is a method, it will be passed error object for that error.
 *
 * @export
 * @class DefaultErrorMessages
 */
export declare class DefaultErrorMessages extends ErrorMessages implements DefaultValidators {
    required: string;
    numeric: string;
    email: string;
    pattern: string;
    min(err: any): string;
    max(err: any): string;
    minlength(err: any): string;
    maxlength(err: any): string;
}
