import { AfterViewInit, Injector } from '@angular/core';
import { MdInput, MdFormFieldControl } from '@angular/material';
/**
 * This 'directive' will display default app error messages in an <md-error> element
 * contained in an <md-form-field>.
 * @Usage:  <md-form-field>
 *                 <md-error matErrorMessages></md-error>
 *             </md-form-field>
 *
 * ** The input *must* be a FormControl and part of a FormGroup with Validators assigned to it.
 *
 * @Input clientMessages: An object whose keys are names of validators and values are error messages.
 *                             Including this will overwrite the default messag for a specific error.
 *
 * @Input fieldName: A string to use as the name of the field in the message. The MdInput placeholder
 *                      is used by default.
 *
 * @class ErrorMessageComponent
 * @implements {AfterViewInit}
 */
export declare class MatErrorMessagesDirective implements AfterViewInit {
    private _inj;
    clientMessages: any;
    fieldName: string;
    error: string;
    inputRef: MdFormFieldControl<MdInput>;
    errorList: any;
    readonly formErrors: any;
    readonly control: any;
    constructor(_inj: Injector);
    updateErrors: (state: "VALID" | "INVALID") => void;
    ngAfterViewInit(): void;
    private _getInputRef();
    private _createErrorList();
    private _trySubToChanges();
}
